PETSc version 3.15.5
Fix/Edit manual page

# VecWhichInactive

Creates an index set containing the indices where one of the following holds: a) VecLow(i) < V(i) < VecHigh(i) b) VecLow(i) = V(i) and D(i) <= 0 (< 0 when Strong is true) c) VecHigh(i) = V(i) and D(i) >= 0 (> 0 when Strong is true)

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecWhichInactive(Vec VecLow, Vec V, Vec D, Vec VecHigh, PetscBool Strong, IS * S)

Collective on S

### Input Parameters

| VecLow | - lower bound
| V | - Vector to compare
| D | - Direction to compare
| VecHigh | - higher bound
| Strong | - indicator for applying strongly inactive test

### OutputParameter

| S | - The index set containing the indices i where the bound is inactive

### Level

advanced

### Location

src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages